import type { PropType, ExtractPropTypes } from 'vue';
declare type SearchConfig = {
    /**  提交按钮文案 */
    submitText?: string;
    /** 重置按钮文案 */
    resetText?: string;
};
export declare const submitterProps: {
    onSubmit: {
        type: PropType<(value?: any) => void>;
    };
    /** 重置方法 */
    onReset: {
        type: PropType<(value?: any) => void>;
    };
    /** 搜索的配置，一般用来配置文本 */
    searchConfig: {
        type: PropType<SearchConfig>;
    };
    /** 提交按钮的 props */
    submitButtonProps: {
        type: PropType<false | (Partial<ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
    /** 重置按钮的 props */
    resetButtonProps: {
        type: PropType<false | (Partial<ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
};
export declare type SubmitterProps = Partial<ExtractPropTypes<typeof submitterProps>>;
export {};
