import type { FormState } from './index';
import type { FormMethods } from './useFormMethods';
import type { NamePath } from 'ant-design-vue/lib/form/interface';
import type { BaseFormPropsType, BaseFormEmit } from '../types';
import type { EmitFn } from '../../typings';
export declare type EventsParams = FormState & {
    props: BaseFormPropsType;
    handleFormValues: FormMethods['handleFormValues'];
    emit: EmitFn<BaseFormEmit>;
};
export declare type FormEvents = ReturnType<typeof useFromEvents>;
export declare const useFromEvents: (params: EventsParams) => {
    submit: () => Promise<undefined>;
    validate: (nameList?: NamePath[] | undefined) => Promise<{
        [key: string]: any;
    } | undefined>;
    resetFields: (name?: NamePath | undefined) => void;
    resetForm: () => void;
};
