import { type SetupContext } from 'vue';
import type { FormInstance } from 'ant-design-vue';
import type { BaseFormPropsType } from '../types';
export declare type FormState = ReturnType<typeof useFormState>;
export declare type useFormStateParams = {
    props: BaseFormPropsType;
    attrs: SetupContext['attrs'];
};
export declare const useFormState: ({ props, attrs }: useFormStateParams) => {
    model: import("vue").Ref<{
        [key: string]: any;
    }>;
    formInstanceRef: import("vue").Ref<FormInstance | undefined>;
    getFormProps: import("vue").ComputedRef<Partial<import("vue").ExtractPropTypes<{
        contentRender: {
            type: import("vue").PropType<(items: import("@ant-design-vue/pro-utils").VueNode[], submitter: import("vue").VNode<Partial<import("vue").ExtractPropTypes<{
                onSubmit: {
                    type: import("vue").PropType<(value?: any) => void>;
                };
                onReset: {
                    type: import("vue").PropType<(value?: any) => void>;
                };
                searchConfig: {
                    type: import("vue").PropType<{
                        submitText?: string | undefined;
                        resetText?: string | undefined;
                    }>;
                };
                submitButtonProps: {
                    type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                        prefixCls: StringConstructor;
                        type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                        htmlType: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                            default: string;
                        };
                        shape: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                        };
                        size: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                        };
                        loading: {
                            type: import("vue").PropType<boolean | {
                                delay?: number | undefined;
                            }>;
                            default: () => boolean | {
                                delay?: number | undefined;
                            };
                        };
                        disabled: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        ghost: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        block: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        danger: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        icon: import("vue-types").VueTypeValidableDef<any>;
                        href: StringConstructor;
                        target: StringConstructor;
                        title: StringConstructor;
                        onClick: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                        onMousedown: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                    }>> & {
                        preventDefault?: boolean | undefined;
                    })>;
                    default: boolean;
                };
                resetButtonProps: {
                    type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                        prefixCls: StringConstructor;
                        type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                        htmlType: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                            default: string;
                        };
                        shape: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                        };
                        size: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                        };
                        loading: {
                            type: import("vue").PropType<boolean | {
                                delay?: number | undefined;
                            }>;
                            default: () => boolean | {
                                delay?: number | undefined;
                            };
                        };
                        disabled: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        ghost: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        block: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        danger: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        icon: import("vue-types").VueTypeValidableDef<any>;
                        href: StringConstructor;
                        target: StringConstructor;
                        title: StringConstructor;
                        onClick: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                        onMousedown: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                    }>> & {
                        preventDefault?: boolean | undefined;
                    })>;
                    default: boolean;
                };
            }>>, import("vue").RendererElement, {
                [key: string]: any;
            }> | undefined) => import("@ant-design-vue/pro-utils").VueNode>;
        };
        scrollToFirstError: {
            type: import("vue").PropType<boolean | import("scroll-into-view-if-needed").Options<any> | undefined>;
        };
        submitter: {
            type: import("vue").PropType<boolean | (Partial<import("vue").ExtractPropTypes<{
                onSubmit: {
                    type: import("vue").PropType<(value?: any) => void>;
                };
                onReset: {
                    type: import("vue").PropType<(value?: any) => void>;
                };
                searchConfig: {
                    type: import("vue").PropType<{
                        submitText?: string | undefined;
                        resetText?: string | undefined;
                    }>;
                };
                submitButtonProps: {
                    type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                        prefixCls: StringConstructor;
                        type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                        htmlType: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                            default: string;
                        };
                        shape: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                        };
                        size: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                        };
                        loading: {
                            type: import("vue").PropType<boolean | {
                                delay?: number | undefined;
                            }>;
                            default: () => boolean | {
                                delay?: number | undefined;
                            };
                        };
                        disabled: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        ghost: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        block: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        danger: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        icon: import("vue-types").VueTypeValidableDef<any>;
                        href: StringConstructor;
                        target: StringConstructor;
                        title: StringConstructor;
                        onClick: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                        onMousedown: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                    }>> & {
                        preventDefault?: boolean | undefined;
                    })>;
                    default: boolean;
                };
                resetButtonProps: {
                    type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                        prefixCls: StringConstructor;
                        type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                        htmlType: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                            default: string;
                        };
                        shape: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                        };
                        size: {
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                        };
                        loading: {
                            type: import("vue").PropType<boolean | {
                                delay?: number | undefined;
                            }>;
                            default: () => boolean | {
                                delay?: number | undefined;
                            };
                        };
                        disabled: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        ghost: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        block: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        danger: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        icon: import("vue-types").VueTypeValidableDef<any>;
                        href: StringConstructor;
                        target: StringConstructor;
                        title: StringConstructor;
                        onClick: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                        onMousedown: {
                            type: import("vue").PropType<(event: MouseEvent) => void>;
                        };
                    }>> & {
                        preventDefault?: boolean | undefined;
                    })>;
                    default: boolean;
                };
            }>> & {
                render?: false | ((props: Partial<import("vue").ExtractPropTypes<{
                    onSubmit: {
                        type: import("vue").PropType<(value?: any) => void>;
                    };
                    onReset: {
                        type: import("vue").PropType<(value?: any) => void>;
                    };
                    searchConfig: {
                        type: import("vue").PropType<{
                            submitText?: string | undefined;
                            resetText?: string | undefined;
                        }>;
                    };
                    submitButtonProps: {
                        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                            prefixCls: StringConstructor;
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                            htmlType: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                                default: string;
                            };
                            shape: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                            };
                            size: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                            };
                            loading: {
                                type: import("vue").PropType<boolean | {
                                    delay?: number | undefined;
                                }>;
                                default: () => boolean | {
                                    delay?: number | undefined;
                                };
                            };
                            disabled: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            ghost: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            block: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            danger: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            icon: import("vue-types").VueTypeValidableDef<any>;
                            href: StringConstructor;
                            target: StringConstructor;
                            title: StringConstructor;
                            onClick: {
                                type: import("vue").PropType<(event: MouseEvent) => void>;
                            };
                            onMousedown: {
                                type: import("vue").PropType<(event: MouseEvent) => void>;
                            };
                        }>> & {
                            preventDefault?: boolean | undefined;
                        })>;
                        default: boolean;
                    };
                    resetButtonProps: {
                        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
                            prefixCls: StringConstructor;
                            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
                            htmlType: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                                default: string;
                            };
                            shape: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
                            };
                            size: {
                                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
                            };
                            loading: {
                                type: import("vue").PropType<boolean | {
                                    delay?: number | undefined;
                                }>;
                                default: () => boolean | {
                                    delay?: number | undefined;
                                };
                            };
                            disabled: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            ghost: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            block: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            danger: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            icon: import("vue-types").VueTypeValidableDef<any>;
                            href: StringConstructor;
                            target: StringConstructor;
                            title: StringConstructor;
                            onClick: {
                                type: import("vue").PropType<(event: MouseEvent) => void>;
                            };
                            onMousedown: {
                                type: import("vue").PropType<(event: MouseEvent) => void>;
                            };
                        }>> & {
                            preventDefault?: boolean | undefined;
                        })>;
                        default: boolean;
                    };
                }>> & {
                    submit: () => void;
                    reset: () => void;
                }, dom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode) | undefined;
            })>;
        };
        readonly: {
            type: import("vue").PropType<boolean>;
        };
        submitOnReset: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        onFinish: {
            type: import("vue").PropType<(fromModel: import("../../typings").Recordable<any>) => void>;
        };
        onSubmit: {
            type: import("vue").PropType<(fromModel: import("../../typings").Recordable<any>) => void>;
        };
        onReset: {
            type: import("vue").PropType<(fromModel: import("../../typings").Recordable<any>) => void>;
        };
        grid: {
            type: import("vue").PropType<boolean>;
        };
        colProps: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>>>;
        };
        rowProps: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                align: import("vue").PropType<"stretch" | "bottom" | "top" | "middle">;
                justify: import("vue").PropType<"space-around" | "space-between" | "center" | "end" | "start">;
                prefixCls: StringConstructor;
                gutter: {
                    type: import("vue").PropType<import("ant-design-vue/es/grid/Row").Gutter | [import("ant-design-vue/es/grid/Row").Gutter, import("ant-design-vue/es/grid/Row").Gutter]>;
                    default: import("ant-design-vue/es/grid/Row").Gutter | [import("ant-design-vue/es/grid/Row").Gutter, import("ant-design-vue/es/grid/Row").Gutter];
                };
                wrap: {
                    type: BooleanConstructor;
                    default: any;
                };
            }>>>;
        };
        layout: import("vue-types").VueTypeDef<"inline" | "horizontal" | "vertical">;
        labelCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & import("vue").HTMLAttributes>;
        };
        wrapperCol: {
            type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & import("vue").HTMLAttributes>;
        };
        colon: {
            type: BooleanConstructor;
            default: any;
        };
        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
        labelWrap: {
            type: BooleanConstructor;
            default: any;
        };
        prefixCls: StringConstructor;
        requiredMark: {
            type: import("vue").PropType<"" | import("ant-design-vue/es/form/Form").RequiredMark>;
            default: any;
        };
        hideRequiredMark: {
            type: BooleanConstructor;
            default: any;
        };
        model: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        rules: {
            type: import("vue").PropType<{
                [k: string]: import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[];
            }>;
        };
        validateMessages: {
            type: import("vue").PropType<import("ant-design-vue/es/form/interface").ValidateMessages>;
            default: import("ant-design-vue/es/form/interface").ValidateMessages;
        };
        validateOnRuleChange: {
            type: BooleanConstructor;
            default: any;
        };
        name: StringConstructor;
        validateTrigger: {
            type: import("vue").PropType<string | string[]>;
        };
        size: {
            type: import("vue").PropType<import("ant-design-vue/es/button").ButtonSize>;
        };
        onValuesChange: {
            type: import("vue").PropType<(changedValues: any, values: any) => void>;
        };
        onFieldsChange: {
            type: import("vue").PropType<(changedFields: import("ant-design-vue/es/form/interface").FieldData[], allFields: import("ant-design-vue/es/form/interface").FieldData[]) => void>;
        };
        onFinishFailed: {
            type: import("vue").PropType<(errorInfo: import("ant-design-vue/es/form/interface").ValidateErrorEntity<any>) => void>;
        };
        onValidate: {
            type: import("vue").PropType<(name: string | number | string[] | number[], status: boolean, errors: string[]) => void>;
        };
        form: StringConstructor;
    }>>>;
    RowWrapper: import("vue").FunctionalComponent<Partial<import("vue").ExtractPropTypes<{
        align: import("vue").PropType<"stretch" | "bottom" | "top" | "middle">;
        justify: import("vue").PropType<"space-around" | "space-between" | "center" | "end" | "start">;
        prefixCls: StringConstructor;
        gutter: {
            type: import("vue").PropType<import("ant-design-vue/lib/grid/Row").Gutter | [import("ant-design-vue/lib/grid/Row").Gutter, import("ant-design-vue/lib/grid/Row").Gutter]>;
            default: import("ant-design-vue/lib/grid/Row").Gutter | [import("ant-design-vue/lib/grid/Row").Gutter, import("ant-design-vue/lib/grid/Row").Gutter];
        };
        wrap: {
            type: BooleanConstructor;
            default: any;
        };
    }>> & import("../../helpers").CommonProps, {}>;
};
