import { Plugin, PropType, ExtractPropTypes } from 'vue';
export declare const proFormTextProps: {
    fieldProps: {
        type: PropType<Omit<Partial<ExtractPropTypes<{
            id: StringConstructor;
            prefixCls: StringConstructor;
            inputPrefixCls: StringConstructor;
            defaultValue: import("vue-types").VueTypeDef<string | number>;
            value: {
                type: PropType<string | number>;
                default: any;
            };
            placeholder: {
                type: PropType<string | number>;
            };
            autocomplete: StringConstructor;
            type: {
                type: PropType<import("ant-design-vue/es/_util/type").LiteralUnion<"number" | "hidden" | "text" | "tel" | "url" | "email" | "search" | "date" | "password" | "time" | "checkbox" | "radio" | "image" | "color" | "submit" | "button" | "reset" | "week" | "month" | "range" | "datetime-local" | "file", string>>;
                default: string;
            };
            name: StringConstructor;
            size: {
                type: PropType<import("ant-design-vue/es/button").ButtonSize>;
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            readonly: {
                type: BooleanConstructor;
                default: any;
            };
            addonBefore: import("vue-types").VueTypeValidableDef<any>;
            addonAfter: import("vue-types").VueTypeValidableDef<any>;
            prefix: import("vue-types").VueTypeValidableDef<any>;
            suffix: import("vue-types").VueTypeValidableDef<any>;
            autofocus: {
                type: BooleanConstructor;
                default: any;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            lazy: {
                type: BooleanConstructor;
                default: boolean;
            };
            maxlength: NumberConstructor;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            bordered: {
                type: BooleanConstructor;
                default: any;
            };
            showCount: {
                type: PropType<boolean | import("ant-design-vue/es/input/inputProps").ShowCountProps>;
            };
            htmlSize: NumberConstructor;
            onPressEnter: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onKeydown: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onKeyup: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onFocus: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
            onBlur: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
            onChange: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
            onInput: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
            'onUpdate:value': PropType<(val: string) => void>;
            valueModifiers: ObjectConstructor;
            hidden: BooleanConstructor;
        }>>, "value">>;
    };
    colSize: {
        type: NumberConstructor;
    };
    filedConfig: {
        type: PropType<import("../../typings").ProFormItemCreateConfig>;
    };
    params: {
        type: PropType<import("../../typings").Recordable<any>>;
    };
    request: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldRequestData<any>>;
    };
    proFormFieldKey: {
        type: PropType<string>;
    };
    htmlFor: StringConstructor;
    prefixCls: StringConstructor;
    label: import("vue-types").VueTypeValidableDef<any>;
    help: import("vue-types").VueTypeValidableDef<any>;
    extra: import("vue-types").VueTypeValidableDef<any>;
    labelCol: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>> & import("vue").HTMLAttributes>;
    };
    wrapperCol: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>> & import("vue").HTMLAttributes>;
    };
    hasFeedback: {
        type: BooleanConstructor;
        default: boolean;
    };
    colon: {
        type: BooleanConstructor;
        default: any;
    };
    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
    prop: {
        type: PropType<string | number | (string | number)[]>;
    };
    name: {
        type: PropType<string | number | (string | number)[]>;
    };
    rules: PropType<import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[]>;
    autoLink: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: any;
    };
    validateFirst: {
        type: BooleanConstructor;
        default: any;
    };
    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
    validateTrigger: {
        type: PropType<string | string[]>;
    };
    messageVariables: {
        type: PropType<Record<string, string>>;
    };
    hidden: BooleanConstructor;
    noStyle: BooleanConstructor;
    colProps: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>>>;
    };
    text: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
    };
    valueType: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldValueType | import("@ant-design-vue/pro-utils").ProFieldValueObjectType>;
    };
    emptyText: {
        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
    };
    render: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
};
export declare type ProFieldPropsType = Partial<ExtractPropTypes<typeof proFormTextProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            label?: any;
            help?: any;
            extra?: any;
        }> & Omit<Readonly<Partial<ExtractPropTypes<{
            fieldProps: {
                type: PropType<Omit<Partial<ExtractPropTypes<{
                    id: StringConstructor;
                    prefixCls: StringConstructor;
                    inputPrefixCls: StringConstructor;
                    defaultValue: import("vue-types").VueTypeDef<string | number>;
                    value: {
                        type: PropType<string | number>;
                        default: any;
                    };
                    placeholder: {
                        type: PropType<string | number>;
                    };
                    autocomplete: StringConstructor;
                    type: {
                        type: PropType<import("ant-design-vue/es/_util/type").LiteralUnion<"number" | "hidden" | "text" | "tel" | "url" | "email" | "search" | "date" | "password" | "time" | "checkbox" | "radio" | "image" | "color" | "submit" | "button" | "reset" | "week" | "month" | "range" | "datetime-local" | "file", string>>;
                        default: string;
                    };
                    name: StringConstructor;
                    size: {
                        type: PropType<import("ant-design-vue/es/button").ButtonSize>;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    readonly: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    addonBefore: import("vue-types").VueTypeValidableDef<any>;
                    addonAfter: import("vue-types").VueTypeValidableDef<any>;
                    prefix: import("vue-types").VueTypeValidableDef<any>;
                    suffix: import("vue-types").VueTypeValidableDef<any>;
                    autofocus: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    allowClear: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    lazy: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    maxlength: NumberConstructor;
                    loading: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    bordered: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showCount: {
                        type: PropType<boolean | import("ant-design-vue/es/input/inputProps").ShowCountProps>;
                    };
                    htmlSize: NumberConstructor;
                    onPressEnter: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onKeydown: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onKeyup: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onFocus: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                    onBlur: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                    onChange: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                    onInput: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                    'onUpdate:value': PropType<(val: string) => void>;
                    valueModifiers: ObjectConstructor;
                    hidden: BooleanConstructor;
                }>>, "value">>;
            };
            colSize: {
                type: NumberConstructor;
            };
            filedConfig: {
                type: PropType<import("../../typings").ProFormItemCreateConfig>;
            };
            params: {
                type: PropType<import("../../typings").Recordable<any>>;
            };
            request: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldRequestData<any>>;
            };
            proFormFieldKey: {
                type: PropType<string>;
            };
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
            colProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>>>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            valueType: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldValueType | import("@ant-design-vue/pro-utils").ProFieldValueObjectType>;
            };
            emptyText: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            render: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    label: {
                        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    label: {
                        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "label" | "help" | "extra" | undefined>;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
            fieldProps: {
                type: PropType<Omit<Partial<ExtractPropTypes<{
                    id: StringConstructor;
                    prefixCls: StringConstructor;
                    inputPrefixCls: StringConstructor;
                    defaultValue: import("vue-types").VueTypeDef<string | number>;
                    value: {
                        type: PropType<string | number>;
                        default: any;
                    };
                    placeholder: {
                        type: PropType<string | number>;
                    };
                    autocomplete: StringConstructor;
                    type: {
                        type: PropType<import("ant-design-vue/es/_util/type").LiteralUnion<"number" | "hidden" | "text" | "tel" | "url" | "email" | "search" | "date" | "password" | "time" | "checkbox" | "radio" | "image" | "color" | "submit" | "button" | "reset" | "week" | "month" | "range" | "datetime-local" | "file", string>>;
                        default: string;
                    };
                    name: StringConstructor;
                    size: {
                        type: PropType<import("ant-design-vue/es/button").ButtonSize>;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    readonly: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    addonBefore: import("vue-types").VueTypeValidableDef<any>;
                    addonAfter: import("vue-types").VueTypeValidableDef<any>;
                    prefix: import("vue-types").VueTypeValidableDef<any>;
                    suffix: import("vue-types").VueTypeValidableDef<any>;
                    autofocus: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    allowClear: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    lazy: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    maxlength: NumberConstructor;
                    loading: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    bordered: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    showCount: {
                        type: PropType<boolean | import("ant-design-vue/es/input/inputProps").ShowCountProps>;
                    };
                    htmlSize: NumberConstructor;
                    onPressEnter: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onKeydown: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onKeyup: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                    onFocus: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                    onBlur: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                    onChange: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                    onInput: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                    'onUpdate:value': PropType<(val: string) => void>;
                    valueModifiers: ObjectConstructor;
                    hidden: BooleanConstructor;
                }>>, "value">>;
            };
            colSize: {
                type: NumberConstructor;
            };
            filedConfig: {
                type: PropType<import("../../typings").ProFormItemCreateConfig>;
            };
            params: {
                type: PropType<import("../../typings").Recordable<any>>;
            };
            request: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldRequestData<any>>;
            };
            proFormFieldKey: {
                type: PropType<string>;
            };
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
            colProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                        default: string | number | import("ant-design-vue/es/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>>>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            valueType: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldValueType | import("@ant-design-vue/pro-utils").ProFieldValueObjectType>;
            };
            emptyText: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            render: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    label: {
                        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
            };
            renderFormItem: {
                type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                    mode: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                    };
                    readonly: {
                        type: PropType<boolean>;
                    };
                    text: {
                        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                    };
                    fieldProps: {
                        type: PropType<any>;
                    };
                    plain: {
                        type: PropType<boolean>;
                    };
                    light: {
                        type: PropType<boolean>;
                    };
                    label: {
                        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                    };
                    formItemProps: {
                        type: PropType<Partial<ExtractPropTypes<{
                            htmlFor: StringConstructor;
                            prefixCls: StringConstructor;
                            label: import("vue-types").VueTypeValidableDef<any>;
                            help: import("vue-types").VueTypeValidableDef<any>;
                            extra: import("vue-types").VueTypeValidableDef<any>;
                            labelCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            wrapperCol: {
                                type: PropType<Partial<ExtractPropTypes<{
                                    span: (StringConstructor | NumberConstructor)[];
                                    order: (StringConstructor | NumberConstructor)[];
                                    offset: (StringConstructor | NumberConstructor)[];
                                    push: (StringConstructor | NumberConstructor)[];
                                    pull: (StringConstructor | NumberConstructor)[];
                                    xs: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    sm: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    md: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    lg: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    xxxl: {
                                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                    };
                                    prefixCls: StringConstructor;
                                    flex: (StringConstructor | NumberConstructor)[];
                                }>> & import("vue").HTMLAttributes>;
                            };
                            hasFeedback: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            colon: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                            prop: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            name: {
                                type: PropType<string | number | (string | number)[]>;
                            };
                            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                            autoLink: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            required: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateFirst: {
                                type: BooleanConstructor;
                                default: any;
                            };
                            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                            validateTrigger: {
                                type: PropType<string | string[]>;
                            };
                            messageVariables: {
                                type: PropType<Record<string, string>>;
                            };
                            hidden: BooleanConstructor;
                            noStyle: BooleanConstructor;
                        }>> & {
                            model?: {
                                [key: string]: any;
                            } | undefined;
                        }>;
                    };
                }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
            };
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            label?: any;
            help?: any;
            extra?: any;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<Partial<ExtractPropTypes<{
        fieldProps: {
            type: PropType<Omit<Partial<ExtractPropTypes<{
                id: StringConstructor;
                prefixCls: StringConstructor;
                inputPrefixCls: StringConstructor;
                defaultValue: import("vue-types").VueTypeDef<string | number>;
                value: {
                    type: PropType<string | number>;
                    default: any;
                };
                placeholder: {
                    type: PropType<string | number>;
                };
                autocomplete: StringConstructor;
                type: {
                    type: PropType<import("ant-design-vue/es/_util/type").LiteralUnion<"number" | "hidden" | "text" | "tel" | "url" | "email" | "search" | "date" | "password" | "time" | "checkbox" | "radio" | "image" | "color" | "submit" | "button" | "reset" | "week" | "month" | "range" | "datetime-local" | "file", string>>;
                    default: string;
                };
                name: StringConstructor;
                size: {
                    type: PropType<import("ant-design-vue/es/button").ButtonSize>;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: any;
                };
                readonly: {
                    type: BooleanConstructor;
                    default: any;
                };
                addonBefore: import("vue-types").VueTypeValidableDef<any>;
                addonAfter: import("vue-types").VueTypeValidableDef<any>;
                prefix: import("vue-types").VueTypeValidableDef<any>;
                suffix: import("vue-types").VueTypeValidableDef<any>;
                autofocus: {
                    type: BooleanConstructor;
                    default: any;
                };
                allowClear: {
                    type: BooleanConstructor;
                    default: any;
                };
                lazy: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                maxlength: NumberConstructor;
                loading: {
                    type: BooleanConstructor;
                    default: any;
                };
                bordered: {
                    type: BooleanConstructor;
                    default: any;
                };
                showCount: {
                    type: PropType<boolean | import("ant-design-vue/es/input/inputProps").ShowCountProps>;
                };
                htmlSize: NumberConstructor;
                onPressEnter: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                onKeydown: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                onKeyup: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
                onFocus: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                onBlur: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
                onChange: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                onInput: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
                'onUpdate:value': PropType<(val: string) => void>;
                valueModifiers: ObjectConstructor;
                hidden: BooleanConstructor;
            }>>, "value">>;
        };
        colSize: {
            type: NumberConstructor;
        };
        filedConfig: {
            type: PropType<import("../../typings").ProFormItemCreateConfig>;
        };
        params: {
            type: PropType<import("../../typings").Recordable<any>>;
        };
        request: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldRequestData<any>>;
        };
        proFormFieldKey: {
            type: PropType<string>;
        };
        htmlFor: StringConstructor;
        prefixCls: StringConstructor;
        label: import("vue-types").VueTypeValidableDef<any>;
        help: import("vue-types").VueTypeValidableDef<any>;
        extra: import("vue-types").VueTypeValidableDef<any>;
        labelCol: {
            type: PropType<Partial<ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & import("vue").HTMLAttributes>;
        };
        wrapperCol: {
            type: PropType<Partial<ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & import("vue").HTMLAttributes>;
        };
        hasFeedback: {
            type: BooleanConstructor;
            default: boolean;
        };
        colon: {
            type: BooleanConstructor;
            default: any;
        };
        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
        prop: {
            type: PropType<string | number | (string | number)[]>;
        };
        name: {
            type: PropType<string | number | (string | number)[]>;
        };
        rules: PropType<import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[]>;
        autoLink: {
            type: BooleanConstructor;
            default: boolean;
        };
        required: {
            type: BooleanConstructor;
            default: any;
        };
        validateFirst: {
            type: BooleanConstructor;
            default: any;
        };
        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
        validateTrigger: {
            type: PropType<string | string[]>;
        };
        messageVariables: {
            type: PropType<Record<string, string>>;
        };
        hidden: BooleanConstructor;
        noStyle: BooleanConstructor;
        colProps: {
            type: PropType<Partial<ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                sm: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                md: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                lg: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                xxxl: {
                    type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                    default: string | number | import("ant-design-vue/es/grid").ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>>>;
        };
        text: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
        };
        valueType: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldValueType | import("@ant-design-vue/pro-utils").ProFieldValueObjectType>;
        };
        emptyText: {
            type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
        };
        render: {
            type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                label: {
                    type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
        };
        renderFormItem: {
            type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
                mode: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
                };
                readonly: {
                    type: PropType<boolean>;
                };
                text: {
                    type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
                };
                fieldProps: {
                    type: PropType<any>;
                };
                plain: {
                    type: PropType<boolean>;
                };
                light: {
                    type: PropType<boolean>;
                };
                label: {
                    type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
                };
                formItemProps: {
                    type: PropType<Partial<ExtractPropTypes<{
                        htmlFor: StringConstructor;
                        prefixCls: StringConstructor;
                        label: import("vue-types").VueTypeValidableDef<any>;
                        help: import("vue-types").VueTypeValidableDef<any>;
                        extra: import("vue-types").VueTypeValidableDef<any>;
                        labelCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        wrapperCol: {
                            type: PropType<Partial<ExtractPropTypes<{
                                span: (StringConstructor | NumberConstructor)[];
                                order: (StringConstructor | NumberConstructor)[];
                                offset: (StringConstructor | NumberConstructor)[];
                                push: (StringConstructor | NumberConstructor)[];
                                pull: (StringConstructor | NumberConstructor)[];
                                xs: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                sm: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                md: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                lg: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                xxxl: {
                                    type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                    default: string | number | import("ant-design-vue/lib/grid").ColSize;
                                };
                                prefixCls: StringConstructor;
                                flex: (StringConstructor | NumberConstructor)[];
                            }>> & import("vue").HTMLAttributes>;
                        };
                        hasFeedback: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        colon: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                        prop: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        name: {
                            type: PropType<string | number | (string | number)[]>;
                        };
                        rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                        autoLink: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        required: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateFirst: {
                            type: BooleanConstructor;
                            default: any;
                        };
                        validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                        validateTrigger: {
                            type: PropType<string | string[]>;
                        };
                        messageVariables: {
                            type: PropType<Record<string, string>>;
                        };
                        hidden: BooleanConstructor;
                        noStyle: BooleanConstructor;
                    }>> & {
                        model?: {
                            [key: string]: any;
                        } | undefined;
                    }>;
                };
            }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
        };
        mode: {
            type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
        };
        readonly: {
            type: PropType<boolean>;
        };
        plain: {
            type: PropType<boolean>;
        };
        light: {
            type: PropType<boolean>;
        };
        formItemProps: {
            type: PropType<Partial<ExtractPropTypes<{
                htmlFor: StringConstructor;
                prefixCls: StringConstructor;
                label: import("vue-types").VueTypeValidableDef<any>;
                help: import("vue-types").VueTypeValidableDef<any>;
                extra: import("vue-types").VueTypeValidableDef<any>;
                labelCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                wrapperCol: {
                    type: PropType<Partial<ExtractPropTypes<{
                        span: (StringConstructor | NumberConstructor)[];
                        order: (StringConstructor | NumberConstructor)[];
                        offset: (StringConstructor | NumberConstructor)[];
                        push: (StringConstructor | NumberConstructor)[];
                        pull: (StringConstructor | NumberConstructor)[];
                        xs: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        sm: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        md: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        lg: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        xxxl: {
                            type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                            default: string | number | import("ant-design-vue/lib/grid").ColSize;
                        };
                        prefixCls: StringConstructor;
                        flex: (StringConstructor | NumberConstructor)[];
                    }>> & import("vue").HTMLAttributes>;
                };
                hasFeedback: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                colon: {
                    type: BooleanConstructor;
                    default: any;
                };
                labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                prop: {
                    type: PropType<string | number | (string | number)[]>;
                };
                name: {
                    type: PropType<string | number | (string | number)[]>;
                };
                rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                autoLink: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                required: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateFirst: {
                    type: BooleanConstructor;
                    default: any;
                };
                validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                validateTrigger: {
                    type: PropType<string | string[]>;
                };
                messageVariables: {
                    type: PropType<Record<string, string>>;
                };
                hidden: BooleanConstructor;
                noStyle: BooleanConstructor;
            }>> & {
                model?: {
                    [key: string]: any;
                } | undefined;
            }>;
        };
    }>>> & import("vue").ShallowUnwrapRef<{}> & {
        [x: string]: never;
    } & import("vue").MethodOptions & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
    fieldProps: {
        type: PropType<Omit<Partial<ExtractPropTypes<{
            id: StringConstructor;
            prefixCls: StringConstructor;
            inputPrefixCls: StringConstructor;
            defaultValue: import("vue-types").VueTypeDef<string | number>;
            value: {
                type: PropType<string | number>;
                default: any;
            };
            placeholder: {
                type: PropType<string | number>;
            };
            autocomplete: StringConstructor;
            type: {
                type: PropType<import("ant-design-vue/es/_util/type").LiteralUnion<"number" | "hidden" | "text" | "tel" | "url" | "email" | "search" | "date" | "password" | "time" | "checkbox" | "radio" | "image" | "color" | "submit" | "button" | "reset" | "week" | "month" | "range" | "datetime-local" | "file", string>>;
                default: string;
            };
            name: StringConstructor;
            size: {
                type: PropType<import("ant-design-vue/es/button").ButtonSize>;
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            readonly: {
                type: BooleanConstructor;
                default: any;
            };
            addonBefore: import("vue-types").VueTypeValidableDef<any>;
            addonAfter: import("vue-types").VueTypeValidableDef<any>;
            prefix: import("vue-types").VueTypeValidableDef<any>;
            suffix: import("vue-types").VueTypeValidableDef<any>;
            autofocus: {
                type: BooleanConstructor;
                default: any;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            lazy: {
                type: BooleanConstructor;
                default: boolean;
            };
            maxlength: NumberConstructor;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            bordered: {
                type: BooleanConstructor;
                default: any;
            };
            showCount: {
                type: PropType<boolean | import("ant-design-vue/es/input/inputProps").ShowCountProps>;
            };
            htmlSize: NumberConstructor;
            onPressEnter: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onKeydown: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onKeyup: PropType<import("ant-design-vue/es/_util/EventInterface").KeyboardEventHandler>;
            onFocus: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
            onBlur: PropType<import("ant-design-vue/es/_util/EventInterface").FocusEventHandler>;
            onChange: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
            onInput: PropType<import("ant-design-vue/es/_util/EventInterface").ChangeEventHandler>;
            'onUpdate:value': PropType<(val: string) => void>;
            valueModifiers: ObjectConstructor;
            hidden: BooleanConstructor;
        }>>, "value">>;
    };
    colSize: {
        type: NumberConstructor;
    };
    filedConfig: {
        type: PropType<import("../../typings").ProFormItemCreateConfig>;
    };
    params: {
        type: PropType<import("../../typings").Recordable<any>>;
    };
    request: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldRequestData<any>>;
    };
    proFormFieldKey: {
        type: PropType<string>;
    };
    htmlFor: StringConstructor;
    prefixCls: StringConstructor;
    label: import("vue-types").VueTypeValidableDef<any>;
    help: import("vue-types").VueTypeValidableDef<any>;
    extra: import("vue-types").VueTypeValidableDef<any>;
    labelCol: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>> & import("vue").HTMLAttributes>;
    };
    wrapperCol: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>> & import("vue").HTMLAttributes>;
    };
    hasFeedback: {
        type: BooleanConstructor;
        default: boolean;
    };
    colon: {
        type: BooleanConstructor;
        default: any;
    };
    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
    prop: {
        type: PropType<string | number | (string | number)[]>;
    };
    name: {
        type: PropType<string | number | (string | number)[]>;
    };
    rules: PropType<import("ant-design-vue/es/form").RuleObject | import("ant-design-vue/es/form").RuleObject[]>;
    autoLink: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: any;
    };
    validateFirst: {
        type: BooleanConstructor;
        default: any;
    };
    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
    validateTrigger: {
        type: PropType<string | string[]>;
    };
    messageVariables: {
        type: PropType<Record<string, string>>;
    };
    hidden: BooleanConstructor;
    noStyle: BooleanConstructor;
    colProps: {
        type: PropType<Partial<ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>>>;
    };
    text: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
    };
    valueType: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldValueType | import("@ant-design-vue/pro-utils").ProFieldValueObjectType>;
    };
    emptyText: {
        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
    };
    render: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    renderFormItem: {
        type: PropType<(text: import("@ant-design-vue/pro-utils").ProFieldTextType, props: Partial<ExtractPropTypes<{
            mode: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
            };
            readonly: {
                type: PropType<boolean>;
            };
            text: {
                type: PropType<import("@ant-design-vue/pro-utils").ProFieldTextType>;
            };
            fieldProps: {
                type: PropType<any>;
            };
            plain: {
                type: PropType<boolean>;
            };
            light: {
                type: PropType<boolean>;
            };
            label: {
                type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
            };
            formItemProps: {
                type: PropType<Partial<ExtractPropTypes<{
                    htmlFor: StringConstructor;
                    prefixCls: StringConstructor;
                    label: import("vue-types").VueTypeValidableDef<any>;
                    help: import("vue-types").VueTypeValidableDef<any>;
                    extra: import("vue-types").VueTypeValidableDef<any>;
                    labelCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    wrapperCol: {
                        type: PropType<Partial<ExtractPropTypes<{
                            span: (StringConstructor | NumberConstructor)[];
                            order: (StringConstructor | NumberConstructor)[];
                            offset: (StringConstructor | NumberConstructor)[];
                            push: (StringConstructor | NumberConstructor)[];
                            pull: (StringConstructor | NumberConstructor)[];
                            xs: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            sm: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            md: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            lg: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            xxxl: {
                                type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                                default: string | number | import("ant-design-vue/lib/grid").ColSize;
                            };
                            prefixCls: StringConstructor;
                            flex: (StringConstructor | NumberConstructor)[];
                        }>> & import("vue").HTMLAttributes>;
                    };
                    hasFeedback: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    colon: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
                    prop: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    name: {
                        type: PropType<string | number | (string | number)[]>;
                    };
                    rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
                    autoLink: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    required: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateFirst: {
                        type: BooleanConstructor;
                        default: any;
                    };
                    validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
                    validateTrigger: {
                        type: PropType<string | string[]>;
                    };
                    messageVariables: {
                        type: PropType<Record<string, string>>;
                    };
                    hidden: BooleanConstructor;
                    noStyle: BooleanConstructor;
                }>> & {
                    model?: {
                        [key: string]: any;
                    } | undefined;
                }>;
            };
        }>>, dom: import("@ant-design-vue/pro-utils").ProFieldTextType) => import("@ant-design-vue/pro-utils").VueNode>;
    };
    mode: {
        type: PropType<import("@ant-design-vue/pro-utils").ProFieldFCMode>;
    };
    readonly: {
        type: PropType<boolean>;
    };
    plain: {
        type: PropType<boolean>;
    };
    light: {
        type: PropType<boolean>;
    };
    formItemProps: {
        type: PropType<Partial<ExtractPropTypes<{
            htmlFor: StringConstructor;
            prefixCls: StringConstructor;
            label: import("vue-types").VueTypeValidableDef<any>;
            help: import("vue-types").VueTypeValidableDef<any>;
            extra: import("vue-types").VueTypeValidableDef<any>;
            labelCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            wrapperCol: {
                type: PropType<Partial<ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    sm: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    md: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    lg: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    xxxl: {
                        type: PropType<string | number | import("ant-design-vue/lib/grid").ColSize>;
                        default: string | number | import("ant-design-vue/lib/grid").ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & import("vue").HTMLAttributes>;
            };
            hasFeedback: {
                type: BooleanConstructor;
                default: boolean;
            };
            colon: {
                type: BooleanConstructor;
                default: any;
            };
            labelAlign: import("vue-types").VueTypeDef<"left" | "right">;
            prop: {
                type: PropType<string | number | (string | number)[]>;
            };
            name: {
                type: PropType<string | number | (string | number)[]>;
            };
            rules: PropType<import("ant-design-vue/lib/form").RuleObject | import("ant-design-vue/lib/form").RuleObject[]>;
            autoLink: {
                type: BooleanConstructor;
                default: boolean;
            };
            required: {
                type: BooleanConstructor;
                default: any;
            };
            validateFirst: {
                type: BooleanConstructor;
                default: any;
            };
            validateStatus: import("vue-types").VueTypeDef<"" | "error" | "validating" | "success" | "warning">;
            validateTrigger: {
                type: PropType<string | string[]>;
            };
            messageVariables: {
                type: PropType<Record<string, string>>;
            };
            hidden: BooleanConstructor;
            noStyle: BooleanConstructor;
        }>> & {
            model?: {
                [key: string]: any;
            } | undefined;
        }>;
    };
}>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    label?: any;
    help?: any;
    extra?: any;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin;
export default _default;
