import { FunctionalComponent } from 'vue';
import { type RowProps, ColProps } from 'ant-design-vue';
import type { ProFormGridConfig } from '../typings';
export interface CommonProps {
    Wrapper?: FunctionalComponent<any>;
}
export interface GridHelpers {
    RowWrapper: FunctionalComponent<RowProps & CommonProps>;
    ColWrapper: FunctionalComponent<ColProps & CommonProps>;
    grid: boolean;
}
export declare const gridHelpers: (config: ProFormGridConfig & CommonProps) => GridHelpers;
export declare const useGridHelpers: (props?: boolean | (Partial<import("vue").ExtractPropTypes<{
    grid: {
        type: import("vue").PropType<boolean>;
    };
    colProps: {
        type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
            span: (StringConstructor | NumberConstructor)[];
            order: (StringConstructor | NumberConstructor)[];
            offset: (StringConstructor | NumberConstructor)[];
            push: (StringConstructor | NumberConstructor)[];
            pull: (StringConstructor | NumberConstructor)[];
            xs: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            sm: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            md: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            lg: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xl: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            }; /**
             * `xs` takes precedence over `span`
             * avoid `span` doesn't work
             */
            xxl: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            xxxl: {
                type: import("vue").PropType<string | number | import("ant-design-vue/es/grid").ColSize>;
                default: string | number | import("ant-design-vue/es/grid").ColSize;
            };
            prefixCls: StringConstructor;
            flex: (StringConstructor | NumberConstructor)[];
        }>>>;
    };
    rowProps: {
        type: import("vue").PropType<Partial<import("vue").ExtractPropTypes<{
            align: import("vue").PropType<"stretch" | "bottom" | "top" | "middle">;
            justify: import("vue").PropType<"space-around" | "space-between" | "center" | "end" | "start">;
            prefixCls: StringConstructor;
            gutter: {
                type: import("vue").PropType<import("ant-design-vue/es/grid/Row").Gutter | [import("ant-design-vue/es/grid/Row").Gutter, import("ant-design-vue/es/grid/Row").Gutter]>;
                default: import("ant-design-vue/es/grid/Row").Gutter | [import("ant-design-vue/es/grid/Row").Gutter, import("ant-design-vue/es/grid/Row").Gutter];
            };
            wrap: {
                type: BooleanConstructor;
                default: any;
            };
        }>>>;
    };
}>> & CommonProps) | undefined) => import("vue").ComputedRef<GridHelpers>;
